### Hierarchy

- UIRouterPlugin
  - ServicesPlugin

## Index

### Properties

- $injector
- $q
- name

### Methods

- dispose

## Properties

$injector: $InjectorLike

- Defined in vanilla/interface.ts:17

$q: $QLike

- Defined in vanilla/interface.ts:16

name: string

Inherited from UIRouterPlugin.name

- Defined in interface.ts:111

## Methods

- dispose(router?: UIRouter): any

- Instructs the Disposable to clean up any resources

- Instructs the Disposable to clean up any resources

  #### Parameters

  - ##### router: Optional UIRouter

  #### Returns any

  Inherited from Disposable.dispose

  - Defined in interface.ts:123

Generated using TypeDoc